compilazione pwlib per asterisk

Riccardo Torrini riccardo a torrini.org
Gio 13 Ott 2005 20:01:19 CEST


On Thu, Oct 13, 2005 at 04:55:21PM +0200, Claudio wrote:

> sto provando ad installare asterisk su una RELENG 5.4. Purtroppo
> in fase di compilazione di una dipendenza (pwlib 1.5.2,1) la
> compilazione si ferma con questo errore ...

Hai aggiornato i ports?

# grep DEPORIGIN: /var/db/pkg/asterisk-1.0.9_1/+CONTENTS
@comment DEPORIGIN:converters/libiconv
@comment DEPORIGIN:graphics/jpeg
@comment DEPORIGIN:audio/libogg
@comment DEPORIGIN:graphics/tiff
@comment DEPORIGIN:devel/gettext
@comment DEPORIGIN:devel/popt
@comment DEPORIGIN:databases/mysql40-client
@comment DEPORIGIN:audio/mpg123
@comment DEPORIGIN:devel/libslang
@comment DEPORIGIN:misc/libpri
@comment DEPORIGIN:audio/speex
@comment DEPORIGIN:devel/newt
@comment DEPORIGIN:comms/spandsp
@comment DEPORIGIN:misc/zaptel

Sul mio non ha installato nessuna dipendenza dalla pwlib...
Se non ti serve H323 prova a mettere questa riga in /etc/make.conf
WITHOUT_H323=                   yes     # asterisk


> ho spulciato un po' in rete, dicono di patchare dei file ma pur
> patchando non ho risolto... si ferma sempre allo stesso punto.

Se non funziona usando il port "non ti serve/non va/non esiste"  :-)


-- 
Riccardo. ( http://www.GUFI.org/~vic/ )


Maggiori informazioni sulla lista aiuto